Bug 868679 - system does not find mouse on boot - works ok on livecd
system does not find mouse on boot - works ok on livecd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mousetweaks (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 13:02 EDT by rmknox
Modified: 2013-02-13 13:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:40:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmknox 2012-10-21 13:02:01 EDT
Description of problem:

System does not find mouse at boot
Version-Release number of selected component (if applicable):
linux 3.4.11-1.fc16.i686

How reproducible:
usually - occasionally finds it

Steps to Reproduce:
1.boot
2.
3.
  
Actual results:
no mouse

Expected results:
mouse

Additional info:
linux 3.4.11-1.fc16.i686
msi mother board p6ngm

when  I boot from f16 live cd the system sees my mouse
when  I boot from my hard drive system does not see my mouse
after system is up i need to unplug and plug in my mouse

here is dmesg | grep -i mouse for live cd

[    1.063245] mousedev: PS/2 mouse device common for all mice
[    2.835123] usb 2-10: Product: USB OPTICAL MOUSE
[    2.848656] input: PIXART USB OPTICAL MOUSE as /devices/pci0000:00/0000:00:04.0/usb2/2-10/2-10:1.0/input/input3
[    2.848780] generic-usb 0003:093A:2510.0001: input,hidraw0: USB HID v1.11 Mouse [PIXART USB OPTICAL MOUSE] on usb-0000:00:04.0-10/input0
[   64.713150] usb 2-10: Product: USB OPTICAL MOUSE
[   64.726665] input: PIXART USB OPTICAL MOUSE as /devices/pci0000:00/0000:00:04.0/usb2/2-10/2-10:1.0/input/input13
[   64.726810] generic-usb 0003:093A:2510.0002: input,hidraw0: USB HID v1.11 Mouse [PIXART USB OPTICAL MOUSE] on usb-0000:00:04.0-10/input0

and here is is from the disk boot
(at approx 2min 10 sec after grub I unplugged the mouse and plugged it back in)

[    1.064247] mousedev: PS/2 mouse device common for all mice
[  130.675063] usb 2-10: Product: USB OPTICAL MOUSE
[  130.688615] input: PIXART USB OPTICAL MOUSE as /devices/pci0000:00/0000:00:04.0/usb2/2-10/2-10:1.0/input/input12
[  130.688738] generic-usb 0003:093A:2510.0001: input,hidraw0: USB HID v1.11 Mouse [PIXART USB OPTICAL MOUSE] on usb-0000:00:04.0-10/input0
Comment 1 rmknox 2012-10-22 18:00:37 EDT
I believe I know what causes the problem

The implementation of the "fallback" desktop fails to initialize the mouse.
I use the "fallback" desktop. The mouse does not initialize and I must unplug and plug to get the system to recognize it.

The Live Cd uses the "standard". I just now restarted after  changing my parameters to call for the "standard" . When booted with the "standard"  my system initializes the mouse.

The "standard" is controversial - many people don't like it. To me it seems to be designed to appeal to users with Attention Deficit Disorder and/or to Gamers

I have a great preference for the "fallback" experience. I know  there are others who do also. We should not be penalized for  this preference. Win the battle with Microsoft and their version 8 - give us a choice!
Comment 2 rmknox 2012-10-22 23:36:23 EDT
spoke too soon - booted again on "standard" and it did not see the mouse


[knox@knox ~]$ dmesg | grep -i mouse
[    1.063247] mousedev: PS/2 mouse device common for all mice
[  120.960081] usb 2-7: Product: USB OPTICAL MOUSE
[  120.973740] input: PIXART USB OPTICAL MOUSE as /devices/pci0000:00/0000:00:04.0/usb2/2-7/2-7:1.0/input/input12
[  120.973894] generic-usb 0003:093A:2510.0001: input,hidraw0: USB HID v1.11 Mouse [PIXART USB OPTICAL MOUSE] on usb-0000:00:04.0-7/input0
[knox@knox ~]$ 

at approx 2 minuets i tried mouse - it did not work - so I unplugged it and plugged it in
Comment 3 Fedora End Of Life 2013-01-16 10:34:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 13:40:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.